Skip to navigation

List Restore Jobs

Retrieves a list of restore jobs for the given project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project whose restore jobs you want to retrieve. You can get your project ID from the API Credentials page in your global management console.

Query parameters

pageTokenstringOptional
Cursor that points to the first record of the next page of results. Get this value from the previous response. To preserve the results in the same order, use the same sorting and filters in the first request as all subsequent requests.
pageSizeintegerOptional>=1Defaults to 50
Maximum number of items to return in the response.

Request

Filter and sort options.
filtersobjectOptional
Filter conditions. If omitted, no filtering is applied.
sortslist of objectsOptional

Response

Retrieved restore jobs.
jobslist of objects
List of retrieved restore jobs.
totalCountinteger
Total number of restore jobs that matched the filter options.
nextTokenstringOptional
Cursor that points to the first record of the next page of results. Pass this value in the next request.